| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
show_exception.h File Reference
`#include <epan/proto.h>`

Go to the source code of this file.

## Functions
void | register_show_exception (void)
| Registers exception handling routines.
WS_DLL_PUBLIC void | show_exception (tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned long exception, const char *exception_message)
| Routine used to add an indication of an arbitrary exception to the tree.
WS_DLL_PUBLIC void | show_reported_bounds_error (tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
| Routine used to add an indication of a ReportedBoundsError exception to the tree.

## Detailed Description

Routines to put exception information into the protocol tree

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2000 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ register_show_exception()

void register_show_exception | ( | void |  | ) |

Registers exception handling routines.

Called to register the pseudo-protocols used for exceptions

## ◆ show_exception()

WS_DLL_PUBLIC void show_exception | ( | tvbuff_t * | tvb,
|  | packet_info * | pinfo,
|  | proto_tree * | tree,
|  | unsigned long | exception,
|  | const char * | exception_message )

Routine used to add an indication of an arbitrary exception to the tree.

Parameters

  tvb | The current tvbuff_t structure.
  pinfo | The current packet_info structure.
  tree | The protocol tree to add the exception indication to.
  exception | The exception code.
  exception_message | The message describing the exception.

## ◆ show_reported_bounds_error()

WS_DLL_PUBLIC void show_reported_bounds_error | ( | tvbuff_t * | tvb,
|  | packet_info * | pinfo,
|  | proto_tree * | tree )

Routine used to add an indication of a ReportedBoundsError exception to the tree.

Parameters

  tvb | The TVB containing the data to be analyzed.
  pinfo | Packet information structure.
  tree | Protocol tree for displaying the error.